%define use_enable_indexlib 0
%{?_enable_indexlib: %{expand: %%global use_enable_indexlib 1}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define _disable_final 1

%define lib_name_orig %mklibname kdepim
%define lib_major 2
%define lib_name %lib_name_orig%lib_major

%define lib_name_orig_akregator %mklibname akregator
%define lib_major_akregator 0
%define lib_name_akregator %lib_name_orig_akregator%lib_major_akregator

%define oname kdepim

%define subrel 2

Name: kdepim3
Version: 3.5.10
Release: %mkrel 3
Epoch: 1
Group: Graphical desktop/KDE
Summary: K Desktop Environment - Person Information Management
License: GPL
URL: http://www.kde.org
Source:  ftp://ftp.kde.org/pub/kde/stable/%version/src/%oname-%version.tar.bz2
Source1: kdepim-3.2-kontact-addressbook.sh  
Source2: kdepim-3.2-kontact-knotes.sh
Source3: kdepim-3.2-kontact-kmail.sh        
Source4: kdepim-3.2-kontact-korganizer.sh
Source5: kdepim-3.2-kontact-knode.sh
Source6: kdepim-3.2-kontact-akregator.sh
Source7: configguibarry.cpp
Source8: configguibarry.h
######   Patches   ########
Patch1:	 kdepim-3.4.0-fix-kmail-dimap-speedup.patch
Patch2:	 kdepim-3.4.0-use-point-kmail.patch
Patch3:	 kdepim-3.4.2-knode-disable-first-start.patch
Patch4:  kdepim-3.5.3-kaddressbook-resources.patch
Patch5:  kdepim-3.5.4-fix-kalarm-call-twice-dialogbox.patch
Patch7:  kdepim-3.5.4-korganizer-use-sys-timezone.patch
Patch9:  kdepim-3.5.7-kmail-hide_help_button.patch
Patch11: kdepim-3.5.9-allow-knode-sideband.patch
Patch12: kdepim-3.5.9-kitchensync-handle-synce.patch
Patch13: kdepim-3.5.9-kitchensync-barry.patch
Patch14: kdepim-3.5.9-fix-underlinking.patch
Patch15: kdepim-only_kde3.patch
Patch16: kdepim-3.5.10-inotify.patch
BuildRoot: 	%_tmppath/%name-%version-%release-root
Conflicts:  kdenetwork <= 3.1.92
BuildRequires: kdelibs-devel >= 30000000:3.5
BuildRequires: gpgme-devel 
BuildRequires: X11-devel 
# MAL conduit is disabled upstream since 3.5.6: see source
# BuildRequires: libmal-devel >= 0.31
BuildRequires: libncurses-devel
BuildRequires: readline-devel
BuildRequires: pilot-link-devel
BuildRequires: libgpg-error-devel
BuildRequires: gnokii-devel
BuildRequires: graphviz
BuildRequires: libxml2-utils
BuildRequires: gnupg
BuildRequires: bluez-devel 
BuildRequires: libsasl-devel
BuildRequires: doxygen
BuildRequires: qt3-doc
BuildRequires: pilot-link-devel
BuildRequires: libopensync-devel < 0.30
BuildRequires: flex
BuildRequires: boost-devel
BuildRequires: bison
BuildRequires: byacc
BuildRequires: tcl-devel
Suggests: %name-karm 
Suggests: %name-knotes 
Suggests: %name-kaddressbook 
Suggests: %name-kpilot 
Suggests: %name-kmail 
Suggests: %name-knode 
Suggests: %name-kontact 
Suggests: %name-korganizer 
Suggests: %name-korn 
Suggests: %name-ktnef 
Suggests: %name-akregator 
Suggests: %name-kandy 
Suggests: %name-wizards 

%description
Information Management applications for the K Desktop Environment.
	- kaddressbook: The KDE addressbook application.
	- kandy: sync phone book entries between your cell phone and computer
         ("kandy" comes from "Handy", the german word used for a cellular)
	- korganizer: a calendar-of-events and todo-list manager
	- kpilot: to sync with your PalmPilot
	- kalarm: gui for setting up personal alarm/reminder messages
	- kalarmd: personal alarm/reminder messages daemon, shared by korganizer and
           kalarm.
	- kaplan: A shell for the PIM apps, still experimental.
	- karm: Time tracker.
	- kitchensync: Synchronisation framework, still under heavy development.
	- kfile-plugins: vCard KFIleItem plugin.
	- knotes: yellow notes application
	- konsolecalendar: Command line tool for accessing calendar files.
	- kmail: universal mail client
	- kmailcvt: convert addressbooks to kmail format

%files

#----------------------------------------------------------------------

%package common
Summary: Common files for kdepim
Group: Graphical desktop/KDE
Conflicts: dynamic <= 0.3-2mdk
Conflicts: kdeutils <= 2.2.2-28mdk
Conflicts: kdenetwork <= 3.1.92
Conflicts: libkdenetwork2-common <= 1:3.1.3-37mdk
Conflicts: kdebase-common <= 1:3.3.2
Conflicts: kdepim-kpilot <= 1:3.5.3-5mdv2007
Conflicts: kdepim-kandy <= 1:3.5.3-5mdv2007
Conflicts: kdepim-kaddressbook < 1:3.5.8-2
Conflicts: kdepim-knotes <= 1:3.5.3-5mdv2007
Conflicts: kdepim-knode <= 1:3.5.3-5mdv2007
Conflicts: kdepim-kmail < 1:3.5.7-%mkrel 5
Conflicts: kdepim-devel < 1:3.5.7-%mkrel 15
Conflicts: kdepim-kontact <= 1:3.5.8-4mdv2008.1
Conflicts: kdepim-common < 1:3.5.10-2
Requires:  sasl-plug-digestmd5
Requires:  sasl-plug-login
Requires:  sasl-plug-plain
Obsoletes: kdepim =< 3.1-17mdk
Obsoletes: kdepim-ksync < 1:3.5.9
Obsoletes: %lib_name-ksync < 1:3.5.9
Requires:  kde-custom-icons
Requires:  %lib_name-common >= %epoch:%version-%release
Provides:  kdepim-common = %epoch:%version-%release

%description common
Common files for kdepim

%files common
%defattr(-,root,root,-)
%_kde3_iconsdir/*/*/*/button_*
%dir %_kde3_appsdir/kdepim/icons
%_kde3_appsdir/kdepim/icons/*
%_kde3_datadir/services/groupwise.protocol
%_kde3_datadir/services/groupwises.protocol
%_kde3_datadir/services/imap4.protocol
%_kde3_datadir/services/imaps.protocol
%_kde3_datadir/services/scalix*.protocol
%_kde3_datadir/services/kcmsdsummary.desktop
%_kde3_datadir/services/kded/networkstatus.desktop
%_kde3_datadir/servicetypes/dcopimap.desktop
%_kde3_datadir/servicetypes/kaddressbookimprotocol.desktop
%_kde3_bindir/networkstatustestservice
%_kde3_bindir/kode
%_kde3_bindir/kxml_compiler
%_kde3_bindir/kleopatra
%_kde3_bindir/kwatchgnupg
%_kde3_bindir/scalixadmin
%_kde3_appsdir/kleopatra/kleopatraui.rc
%dir %_kde3_appsdir/libkleopatra/
%_kde3_appsdir/libkleopatra/*
%_kde3_datadir/applications/kde/kleopatra_import.desktop
%_kde3_datadir/config/libkleopatrarc
%_kde3_datadir/services/kleopatra_*
%_kde3_libdir/kde3/kcm_kleopatra.*
%doc %_kde3_docdir/HTML/en/kleopatra
%dir %_kde3_appsdir/kwatchgnupg/
%_kde3_appsdir/kwatchgnupg/*
%dir %_kde3_appsdir/libkdepim
%_kde3_appsdir/libkdepim/*
%dir %_kde3_appsdir/kdepimwidgets
%_kde3_appsdir/kdepimwidgets/*
%dir %_kde3_appsdir/kgantt
%_kde3_appsdir/kgantt/*
%dir %_kde3_appsdir/libical
%_kde3_appsdir/libical/*
%doc %_kde3_docdir/HTML/en/kwatchgnupg
%_kde3_libdir/kde3/kcm_sdsummary.*
%_kde3_libdir/kde3/kded_networkstatus.*
%_kde3_libdir/kde3/kio_groupwise.*
%_kde3_libdir/kde3/kio_imap4.*
%_kde3_libdir/kde3/kio_mbox.*
%_kde3_libdir/kde3/kio_sieve.*
%_kde3_libdir/kde3/kio_scalix.*
%_kde3_libdir/kde3/kcal_*
%_kde3_libdir/kde3/kcm_korgsummary.*
%_kde3_libdir/kde3/resourcecalendarexchange.*

%_kde3_datadir/applnk/.hidden/kalarmd.desktop
%_kde3_datadir/applnk/Applications/kalarm.desktop
%_kde3_appsdir/kconf_update/kpgp-3.1-upgrade-address-data.pl
%_kde3_appsdir/kconf_update/kpgp.upd
%dir %_kde3_datadir/services/kresources
%_kde3_datadir/services/kresources/*
%_kde3_appsdir/kconf_update/kolab-resource.upd
%_kde3_appsdir/kconf_update/upgrade-resourcetype.pl
%_kde3_datadir/services/kcmkorgsummary.desktop
%_kde3_datadir/services/sieve.protocol
%_kde3_datadir/servicetypes/dcopcalendar.desktop
%_kde3_datadir/servicetypes/korgprintplugin.desktop		 
%_kde3_datadir/applications/kde/konsolekalendar.desktop
%_kde3_iconsdir/*/*/*/konsolekalendar.*
%_kde3_iconsdir/*/*/*/korganizer*
%_kde3_appsdir/korgac/icons/crystalsvg/22x22/actions/korgac.png
%_kde3_appsdir/korgac/icons/crystalsvg/22x22/actions/korgac_disabled.png
%_kde3_datadir/services/mbox.protocol
%_kde3_datadir/config.kcfg/*
%exclude %_kde3_datadir/services/kresources/knotes/kolabresource.desktop
%exclude %_kde3_datadir/services/kresources/knotes_manager.desktop
%exclude %_kde3_datadir/services/kresources/kabc

#----------------------------------------------------------------------

%package kitchensync
Group: Graphical desktop/KDE
Summary: Multiple backend sync program
Provides: kitchensync3
Provides: kde3-kitchensync
Conflicts: kdenetwork-common < %epoch:3.5.7

%description kitchensync
kitchensync is a multiple backend sync program

%files kitchensync
%defattr(-,root,root,-)
%_kde3_bindir/kitchensync
%dir %_kde3_appsdir/kitchensync
%_kde3_appsdir/kitchensync/*
%_kde3_libdir/kde3/libkitchensyncpart.*
%_kde3_datadir/applications/kde/kitchensync.desktop
%_kde3_iconsdir/*/*/*/kitchensync*

#----------------------------------------------------------------------

%package wizards
Summary: Kdepim groupware wizards 
Group: Graphical desktop/KDE
Conflicts: %oname-common < 1:3.5.7-%mkrel 5
Conflicts: kdepim-kontact < 1:3.5.7-%mkrel 5

%description wizards
This kdepim groupware wizards. This package provides transition tool to setup
or migrate groupware
accounts from some common existing groupware solutions on market.

%files wizards
%defattr(-,root,root)
%_kde3_datadir/applications/kde/groupwarewizard.desktop
%_kde3_bindir/*wizard
%_kde3_libdir/kde3/*wizard.*

#----------------------------------------------------------------------

%package -n %lib_name-kitchensync
Summary: Library for kitchensync program
Group: Development/KDE and Qt
Provides: %lib_name_orig-kitchensync = %epoch:%version-%release

%description -n %lib_name-kitchensync
Library for kitchensync program

%files -n %lib_name-kitchensync
%defattr(-,root,root)
%_kde3_libdir/libkitchensync.so.*
%_kde3_libdir/libkitchensync.la

#----------------------------------------------------------------------

%package -n %lib_name-qopensync
Summary:    Librairy for qopensync program
Group:      Development/KDE and Qt
Provides:	%lib_name_orig-qopensync = %epoch:%version-%release

%description -n %lib_name-qopensync
Qt backend for opensync library

%files -n %lib_name-qopensync
%defattr(-,root,root)
%_kde3_libdir/libqopensync.so.*
%_kde3_libdir/libqopensync.la

#----------------------------------------------------------------------

%package korn
Group:      Graphical desktop/KDE
Summary:    Mail checker
Provides: korn3
Provides: kde3-korn
Conflicts:  kdenetwork <= 3.1.92
Obsoletes:	kdenetwork-korn <= 3.1.3-22mdk
Requires:	%name-common = %epoch:%version-%release
Conflicts:      %name-kontact < %epoch:3.5.8-1

%description korn
A mail checker

%files korn
%defattr(-,root,root,-)
%doc %_kde3_docdir/HTML/en/korn
%_kde3_bindir/korn             
%_kde3_datadir/applications/kde/KOrn.desktop
%_kde3_appsdir/kconf_update/korn-*
%_kde3_libdir/kconf_update_bin/korn-3-4-config_change
%_kde3_iconsdir/*/*/*/korn*

#----------------------------------------------------------------------

%package kandy
Group:      Graphical desktop/KDE
Summary:    A mobile simple sync tool
Provides: kandy3
Provides: kde3-kandy
Requires:	%name-common = %epoch:%version-%release

%description kandy
A mobile simple sync tool

%files kandy
%defattr(-,root,root,-)
%_kde3_bindir/kandy
%_kde3_bindir/kandy_client
%doc %_kde3_docdir/HTML/en/kandy
%_kde3_datadir/applications/kde/kandy.desktop
%dir %_kde3_appsdir/kandy/
%_kde3_appsdir/kandy/*
%_kde3_datadir/applnk/Utilities/kandy.desktop

#----------------------------------------------------------------------

%package akregator
Group:          Graphical desktop/KDE
Summary:        KDE RSS aggregator with great look and feel
Provides:       akregator3
Provides:       kde3-akregator
Obsoletes:	    akregator <= 1.0.2
Obsoletes:      %lib_name-akregator < 1:3.5.9
Requires:	    %name-common = %epoch:%version-%release
Conflicts: 	    kdepim-devel < 1:3.5.7-9mdv
Conflicts:      %name-kontact < %epoch:3.5.8-1
Conflicts:      kdepim-akregator < 1:3.5.10-2

%description akregator
aKregator is KDE RSS aggregator with great look and feel.

%files akregator
%defattr(-,root,root,0755)
%_kde3_bindir/akregator
%_kde3_bindir/kontact-akregator.sh
%_kde3_libdir/kde3/libakregator*
%_kde3_libdir/libakregatorprivate.*
%_kde3_datadir/services/kontact/akregatorplugin.desktop
%_kde3_datadir/applications/kde/akregator.desktop
%dir %_kde3_appsdir/akregator
%_kde3_appsdir/akregator/*
%_kde3_iconsdir/*/*/*/rss_tag*
%_kde3_iconsdir/*/*/*/akregator*
%_kde3_datadir/services/akregator_part.desktop   
%_kde3_datadir/services/feed.protocol
%_kde3_datadir/services/kontact/akregatorplugin3.2.desktop
%doc %_kde3_docdir/HTML/en/akregator
%_kde3_datadir/services/akregator_mk4storage_plugin.desktop
%_kde3_datadir/servicetypes/akregator_plugin.desktop

#----------------------------------------------------------------------

%package   devel
Summary:   Devel stuff for kdepim
Group:     Development/KDE and Qt
Obsoletes: %lib_name-common-devel < 1:3.5.9
Obsoletes: %lib_name-kmail-devel < 1:3.5.9
Obsoletes: %lib_name-devel < 1:3.5.9
Obsoletes: %lib_name-ktnef-devel < 1:3.5.9
Obsoletes: %lib_name-akregator-devel < 1:3.5.9
Obsoletes: %lib_name-kontact-devel < 1:3.5.9
Obsoletes: %lib_name-kpilot-devel < 1:3.5.9
Obsoletes: %lib_name-kaddressbook-devel < 1:3.5.9
Obsoletes: %lib_name-korganizer-devel < 1:3.5.9
Provides:  %lib_name-devel = %epoch:%version-%release
Provides:  kdepim-devel = %epoch:%version-%release
Requires:  %lib_name-common = %epoch:%version-%release
Requires:  %lib_name-ktnef = %epoch:%version-%release
Requires:  %lib_name-kitchensync = %epoch:%version-%release 
Requires:  %lib_name-qopensync = %epoch:%version-%release 
Requires:  %lib_name-kontact = %epoch:%version-%release
Requires:  %lib_name-kpilot = %epoch:%version-%release
Requires:  %lib_name-kaddressbook = %epoch:%version-%release
Requires:  %lib_name-korganizer = %epoch:%version-%release
Conflicts: %oname-common < 1:3.5.7-%mkrel 15


%description devel
This package contains header files needed if you wish to build applications
based on kdepim.

%files devel
%defattr(-,root,root)
%_kde3_libdir/kde3/plugins/designer/*
%_kde3_includedir/*
%_kde3_libdir/*.so
%exclude %_kde3_libdir/libakregatorprivate.so
%exclude %_kde3_libdir/libkmailprivate.so

#----------------------------------------------------------------------
%if %compile_apidox

%package    devel-doc
Group:      Development/KDE and Qt
Summary:    Development documentation for %name
Requires:   qt3-doc
Requires:   kdelibs-devel-doc
Obsoletes:  %{lib_name}-common-devel < 1:3.5.7

%description devel-doc
This packages contains all development documentation for kdelibs

%files devel-doc
%defattr(-,root,root,-)
%doc %_kde3_docdir/HTML/en/kdepim-apidocs
%endif

#----------------------------------------------------------------------

%package -n %lib_name-common
Summary:	Library for kdepim
Group:		Development/KDE and Qt
Obsoletes: %lib_name-common-devel < 1:3.5.9
Conflicts:	kdepim <= 1:3.1-17mdk
Conflicts:  libkdenetwork2-common <= 1:3.1.3-37mdk
Conflicts:	kdenetwork <= 1:3.1-31mdk
Conflicts:	%lib_name-kaddressbook <= 1:3.5.3-5mdk
Provides:	%lib_name_orig-common = %epoch:%version-%release
Provides:	%lib_name = %epoch:%version-%release
Obsoletes:	%lib_name <= 3.1-17mdk
Conflicts:      %name-kontact < 3.5.7-4

%description -n %lib_name-common
This package contains header files needed if you wish to build applications
based on kdepim.

%files -n %lib_name-common
%defattr(-,root,root)
%_kde3_libdir/libkcal.la
%_kde3_libdir/libkdepim.la
%_kde3_libdir/libkgantt.la
%_kde3_libdir/libkpimexchange.la
%_kde3_libdir/libkmime.la
%_kde3_libdir/libkmime.so.*
%_kde3_libdir/libkcalkolab.la
%_kde3_libdir/libkcalkolab.so.*
%_kde3_libdir/libkcalscalix.la
%_kde3_libdir/libkcalscalix.so.*
%_kde3_libdir/libkgroupwarebase.la
%_kde3_libdir/libkgroupwarebase.so.*
%_kde3_libdir/libkgroupwaredav.la
%_kde3_libdir/libkgroupwaredav.so.*
%_kde3_libdir/libkpgp.la
%_kde3_libdir/libkpgp.so.*
%_kde3_libdir/libknoteskolab.la
%_kde3_libdir/libknoteskolab.so.*
%_kde3_libdir/libknotesscalix.la
%_kde3_libdir/libknotesscalix.so.*
%_kde3_libdir/libkcal.so.*
%_kde3_libdir/libkdepim.so.*
%_kde3_libdir/libkgantt.so.*
%_kde3_libdir/libkpimexchange.so.*
%_kde3_libdir/libkholidays.la
%_kde3_libdir/libkholidays.so.*
%_kde3_libdir/libksieve.la
%_kde3_libdir/libksieve.so.*
%_kde3_libdir/libmimelib.la
%_kde3_libdir/libmimelib.so.*
%_kde3_libdir/libkode.la
%_kde3_libdir/libkode.so.*
%_kde3_libdir/libkocorehelper.la
%_kde3_libdir/libkocorehelper.so.*
%_kde3_libdir/libgpgme++.la
%_kde3_libdir/libgpgme++.so.*
%_kde3_libdir/libkcal_*.la
%_kde3_libdir/libkcal_*.so.*
%_kde3_libdir/libkleopatra.la
%_kde3_libdir/libkleopatra.so.*
%_kde3_libdir/libknotes_xmlrpc.la
%_kde3_libdir/libknotes_xmlrpc.so.*
%_kde3_libdir/libkorganizer_calendar.la
%_kde3_libdir/libkorganizer_calendar.so.*
%_kde3_libdir/libkpimidentities.la
%_kde3_libdir/libkpimidentities.so.*
%_kde3_libdir/libkslox.la
%_kde3_libdir/libkslox.so.*
%_kde3_libdir/libqgpgme.la
%_kde3_libdir/libqgpgme.so.*

#----------------------------------------------------------------------

%package kmail
Group:      Graphical desktop/KDE
Summary:    KDE Mailer
Requires:   %name-common = %epoch:%version-%release
Provides:   kmail3
Provides:   kde3-kmail
Requires:   indexhtml >= 10.0-6mdk
Requires:   kdebase-common
Requires:   pinentry-qt
Obsoletes:  kdenetwork-kmail <= %epoch:3.1.3-37mdk
Obsoletes:  %lib_name-kmail <= 1:3.5.3
Obsoletes:  %lib_name-kmail-devel < 1:3.5.9
Conflicts:  kdenetwork <= 3.1.92
Conflicts:  kdepim-devel < 1:3.5.7-9mdv
Conflicts:  %name-kontact < %epoch:3.5.8-1
Requires:   %lib_name-index >= %epoch:%version-%release

%description kmail
KDE Mailer

%files kmail
%defattr(-,root,root,-)
%_kde3_bindir/kmail            
%_kde3_bindir/kmailcvt         
%_kde3_bindir/kontact-kmail.sh
%_kde3_bindir/kmail_antivir.sh
%_kde3_bindir/kmail_clamav.sh
%_kde3_bindir/kmail_fprot.sh
%_kde3_bindir/kmail_sav.sh
%_kde3_bindir/indexlib-config
%multiarch %_kde3_bindir/*/indexlib-config
%_kde3_libdir/kde3/kcm_kmail.*
%_kde3_libdir/kde3/kcm_kmailsummary.*
%_kde3_libdir/libkmailprivate.*
%_kde3_libdir/kde3/libkmailpart.*
%_kde3_libdir/kde3/libkmail_*
%_kde3_datadir/services/kcmkmailsummary.desktop
%_kde3_datadir/services/kmail_*
%_kde3_datadir/services/kontact/kmailplugin.desktop
%_kde3_appsdir/kconf_update/kmail*
%_kde3_datadir/applications/kde/KMail.desktop
%_kde3_iconsdir/*/*/*/gpg*
%_kde3_iconsdir/*/*/*/kmail*
%dir %_kde3_appsdir/kmail
%_kde3_appsdir/kmail/*
%_kde3_datadir/config/kmail.antivirusrc
%_kde3_datadir/applnk/Utilities/kmailcvt.desktop
%_kde3_datadir/applications/kde/kmail_view.desktop
%_kde3_datadir/config/kmail.antispamrc
%_kde3_appsdir/kconf_update/upgrade-signature.pl
%_kde3_appsdir/kconf_update/upgrade-transport.pl
%doc %_kde3_docdir/HTML/en/kmail
%dir %_kde3_appsdir/kmailcvt/
%_kde3_appsdir/kmailcvt/*
%_kde3_datadir/servicetypes/dcopmail.desktop

#----------------------------------------------------------------------

%package -n %lib_name-index
Group:      Development/KDE and Qt
Summary:    Library for kmail
Obsoletes:	%lib_name_orig-kmail = %epoch:%version
Obsoletes:  %lib_name-kmail < 1:3.5.9
Conflicts:	%name-common <= 1:3.5.3-5mdv2007
Conflicts:	kdepim-kmail <= 1:3.5.3-5mdv2007

%description -n %lib_name-index
Library for kmail

%files -n %lib_name-index
%defattr(-,root,root,-)
%_kde3_libdir/libindex.so.*
%_kde3_libdir/libindex.la

#----------------------------------------------------------------------

%package knode
Group:      Graphical desktop/KDE
Summary:    KDE News Reader
Requires:   %name-common = %epoch:%version-%release
Provides:	kde3-knode
Provides:	knode3
Conflicts:  kdenetwork <= 1:3.1.92
Obsoletes:  kdenetwork-knode <= 1:3.1.3-37mdk
Obsoletes:	%{lib_name}-knode < 1:3.5.9
Obsoletes:	%{lib_name}-knode-devel < 1:3.5.9
Conflicts: 	kdepim-devel < 1:3.5.7-9mdv
Conflicts:      %name-kontact < %epoch:3.5.8-1

%description knode
KDE News Reader.

%files knode
%defattr(-,root,root,-)
%_kde3_bindir/knode            
%_kde3_bindir/kontact-knode.sh
%_kde3_libdir/kde3/libknodepart.*
%_kde3_datadir/services/knewsservice.protocol
%_kde3_datadir/services/kontact/knodeplugin.desktop
%_kde3_datadir/services/kontact/newstickerplugin.desktop
%_kde3_datadir/applications/kde/KNode.desktop
%_kde3_iconsdir/*/*/*/knode*
%doc %_kde3_docdir/HTML/en/knode/*
%dir %_kde3_appsdir/knode
%_kde3_appsdir/knode/*
%_kde3_datadir/services/knode_*
%_kde3_libdir/kde3/kcm_knode.*
%_kde3_libdir/libknodecommon.so.*
%_kde3_libdir/libknodecommon.la

#----------------------------------------------------------------------

%package karm
Summary:	Karm program
Group:		Graphical desktop/KDE
Provides:	karm3
Provides:	kde3-karm
Conflicts:	kdepim <= 1:3.1-17mdk
Conflicts:      %name-kontact < %epoch:3.5.8-1

%description karm
Time tracker.

%files karm
%defattr(-,root,root)
%doc %_kde3_docdir/HTML/en/karm
%_kde3_bindir/karm
%_kde3_datadir/applnk/Utilities/karm.desktop
%_kde3_datadir/services/karm_part.desktop
%_kde3_datadir/services/kontact/karmplugin.desktop
%_kde3_iconsdir/*/*/*/karm*
%_kde3_libdir/kde3/libkarmpart.*
%dir %_kde3_appsdir/karm/
%_kde3_appsdir/karm/*
%_kde3_datadir/applications/kde/karm.desktop
%dir %_kde3_appsdir/karmpart
%_kde3_appsdir/karmpart/*

#----------------------------------------------------------------------

%package ktnef
Summary:    Ktnef program
Group:      Graphical desktop/KDE
Provides: kde3-ktnef
Provides: ktnef3
Conflicts:  kdepim <= 1:3.1-17mdk
Requires:   %lib_name-ktnef >= %epoch:%version-%release

%description ktnef
Ktnef.

%files ktnef
%defattr(-,root,root,-)
%_kde3_bindir/ktnef
%dir %_kde3_appsdir/ktnef/
%_kde3_appsdir/ktnef/*
%_kde3_iconsdir/*/*/*/ktnef*
%doc %_kde3_docdir/HTML/en/ktnef/*
%_kde3_datadir/applications/kde/ktnef.desktop
%_kde3_datadir/mimelnk/application/ms-tnef.desktop

#----------------------------------------------------------------------

%package -n %lib_name-ktnef
Summary:    Library for Ktnef program
Group:      Development/KDE and Qt
Obsoletes: %lib_name-ktnef-devel < 1:3.5.9
Conflicts:  kdepim <= 1:3.1-17mdk
Conflicts:	%lib_name-common <= %epoch:3.3.1-21mdk

%description -n %lib_name-ktnef
Library for Ktnef.

%files -n %lib_name-ktnef
%defattr(-,root,root,-)
%_kde3_libdir/libktnef.la
%_kde3_libdir/libktnef.so.*

#----------------------------------------------------------------------

%package knotes
Group:		Graphical desktop/KDE
Summary:	A color configurable tooltip notes application for desktop
Provides: knotes3
Provides: kde3-knotes
Conflicts:	kdepim <= 1:3.1-17mdk
Conflicts:      %name-kontact < %epoch:3.5.8-1

%description knotes
A color configurable tooltip notes application for desktop

%files knotes
%defattr(-,root,root)
%_kde3_bindir/knotes
%_kde3_bindir/kontact-knotes.sh
%doc %_kde3_docdir/HTML/en/knotes
%dir %_kde3_appsdir/knotes/
%_kde3_appsdir/knotes/*
%_kde3_libdir/kde3/knotes_*
%_kde3_iconsdir/*/*/*/knotes*
%_kde3_datadir/applications/kde/knotes.desktop
%_kde3_datadir/services/kresources/knotes/kolabresource.desktop
%_kde3_datadir/services/kresources/knotes_manager.desktop
%_kde3_datadir/services/kontact/knotesplugin.desktop

#----------------------------------------------------------------------

%package kaddressbook
Summary:	Kaddressbook program
Group:		Graphical desktop/KDE
Provides: kaddressbook3
Provides: kde3-kaddressbook
Requires:       %lib_name-kaddressbook >= %epoch:%version-%release
Conflicts:      %name-kontact < %epoch:3.5.8-1
Conflicts:      %name-common < %epoch:3.5.8-2

%description kaddressbook
The KDE addressbook application.

%files kaddressbook
%defattr(-,root,root)
%_kde3_bindir/kaddressbook
%_kde3_bindir/kabc2mutt
%doc %_kde3_docdir/HTML/en/kaddressbook
%dir %_kde3_appsdir/kaddressbook
%_kde3_appsdir/kaddressbook/*
%_kde3_iconsdir/*/*/*/kaddressbook*
%_kde3_bindir/kontact-addressbook.sh
%_kde3_datadir/applications/kde/kaddressbook.desktop
%_kde3_datadir/services/kfile_ics.desktop
%_kde3_datadir/services/kfile_vcf.desktop
%_kde3_libdir/kde3/kabc_*
%_kde3_libdir/kde3/kfile_vcf.*
%_kde3_libdir/kde3/kfile_ics.*
%_kde3_libdir/kde3/libkaddressbookpart.*
%_kde3_libdir/kde3/kcm_kabconfig.*
%_kde3_libdir/kde3/kcm_kabldapconfig.*
%_kde3_libdir/kde3/libkaddrbk_*.*
%_kde3_libdir/kde3/ldifvcardthumbnail.*
%_kde3_libdir/kde3/kcm_kabcustomfields.*
%dir %_kde3_datadir/services/kaddressbook/
%_kde3_datadir/services/kaddressbook/*
%_kde3_datadir/services/kabconfig.desktop
%_kde3_datadir/services/kabldapconfig.desktop
%_kde3_datadir/services/ldifvcardthumbnail.desktop
%_kde3_datadir/servicetypes/dcopaddressbook.desktop
%_kde3_datadir/servicetypes/kaddressbook_*
%_kde3_datadir/services/kontact/kaddressbookplugin.desktop
%_kde3_datadir/services/kabcustomfields.desktop
%dir %_kde3_datadir/services/kresources/kabc/
%_kde3_datadir/services/kresources/kabc/*

#----------------------------------------------------------------------

%define libgwsoap %mklibname gwsoap 0

%package -n %libgwsoap
Summary: Kdepim library
Group: System/Libraries

%description  -n %libgwsoap
Library file for kdepim.

%files -n %libgwsoap
%defattr(-,root,root)
%_kde3_libdir/libgwsoap.so.*
%_kde3_libdir/libgwsoap.la

#----------------------------------------------------------------------

%package -n %lib_name-kaddressbook
Summary:    Library file for Kaddressbook
Group:      Development/KDE and Qt
Provides:   %lib_name_orig-kaddressbook = %epoch:%version-%release
Obsoletes:  %lib_name-kaddressbook-devel < 1:3.5.9

%description  -n %lib_name-kaddressbook
Library file for kaddressbook

%files -n %lib_name-kaddressbook
%defattr(-,root,root)
%_kde3_libdir/libkaddressbook.la
%_kde3_libdir/libkaddressbook.so.*
%_kde3_libdir/libkabinterfaces.so.*
%_kde3_libdir/libkabinterfaces.la
%_kde3_libdir/libkabc*.la
%_kde3_libdir/libkabc*.so.*

#----------------------------------------------------------------------

%package korganizer
Summary:	Korganizer program
Group:		Graphical desktop/KDE
Provides: korganizer3
Provides: kde3-korganizer
Provides: kalarm3
Provides: kde3-kalarm
Requires:       %name-common = %epoch:%version-%release
Requires:       %lib_name-korganizer >= %epoch:%version-%release
Conflicts:      %name-kontact < %epoch:3.5.8-1

%description korganizer
A calendar-of-events and todo-list manager.

%files korganizer
%defattr(-,root,root)
%_kde3_bindir/kalarm
%_kde3_bindir/kalarmd
%_kde3_bindir/konsolekalendar
%_kde3_bindir/korgac
%_kde3_bindir/korganizer
%_kde3_bindir/kontact-korganizer.sh
%_kde3_bindir/ical2vcal
%_kde3_appsdir/kconf_update/korganizer.upd
%dir %_kde3_appsdir/korganizer
%_kde3_appsdir/korganizer/*
%dir %_kde3_appsdir/kalarm/
%_kde3_appsdir/kalarm/*
%dir %_kde3_appsdir/libkholidays/
%_kde3_appsdir/libkholidays/*
%_kde3_datadir/autostart/kalarm.tray.desktop
%_kde3_datadir/autostart/kalarmd.autostart.desktop
%_kde3_datadir/autostart/korgac.desktop
%_kde3_libdir/kde3/libkorg_*
%_kde3_libdir/kde3/kcm_korganizer.*
%_kde3_libdir/kde3/libkorganizerpart.*
%_kde3_datadir/applications/kde/kalarm.desktop
%_kde3_datadir/applications/kde/korganizer.desktop
%_kde3_iconsdir/*/*/*/kalarm*
%doc %_kde3_docdir/HTML/en/korganizer/*
%doc %_kde3_docdir/HTML/en/konsolekalendar/*
%doc %_kde3_docdir/HTML/en/kalarm
%_kde3_datadir/services/korganizer_*
%dir %_kde3_datadir/services/korganizer/
%_kde3_datadir/services/korganizer/*
%dir %_kde3_datadir/services/webcal.protocol
%_kde3_datadir/servicetypes/calendardecoration.desktop
%_kde3_datadir/servicetypes/calendarplugin.desktop
%_kde3_datadir/servicetypes/korganizerpart.desktop
%_kde3_datadir/services/kontact/korganizerplugin.desktop
%_kde3_datadir/services/kontact/journalplugin.desktop
%_kde3_datadir/services/kontact/todoplugin.desktop

#----------------------------------------------------------------------

%package -n %lib_name-korganizer
Summary:    Librairy for korganizer program
Group:      Development/KDE and Qt
Obsoletes:  %lib_name-korganizer-devel < 1:3.5.9
Provides:	%lib_name_orig-korganizer = %epoch:%version-%release

%description -n %lib_name-korganizer
Librairy for korganizer program

%files -n %lib_name-korganizer
%defattr(-,root,root)
%_kde3_libdir/libkorganizer.la
%_kde3_libdir/libkorganizer.so.*
%_kde3_libdir/libkorganizer_eventviewer.la
%_kde3_libdir/libkorganizer_eventviewer.so.*
%_kde3_libdir/libkorg_stdprinting.la
%_kde3_libdir/libkorg_stdprinting.so.*

#----------------------------------------------------------------------

%package kpilot
Summary:        Kpilot program
Group:          Graphical desktop/KDE
Requires:       %lib_name-kpilot >= %epoch:%version-%release
Provides:       kpilot3
Provides:       kde3-kpilot
Conflicts:	    %name-common <= %epoch:3.4.2-6mdk
Conflicts:      %name-kontact < %epoch:3.5.8-1
provides:       kdepim-kpilot = %epoch:%version-%release

%description kpilot
To sync with your PalmPilot
Sync phone book entries between your palmtop and computer

%post kpilot 
update-alternatives --install %_sysconfdir/dynamic/launchers/visor/kde.desktop visor.kde.dynamic %_sysconfdir/dynamic/launchers/visor/kpilot.desktop 30

%postun kpilot
if [ $1 = 0 ] ; then
	update-alternatives --remove visor.kde.dynamic %_sysconfdir/dynamic/launchers/visor/kpilot.desktop
fi

%files kpilot
%defattr(-,root,root)
%dir %_sysconfdir/dynamic/
%dir %_sysconfdir/dynamic/launchers/
%dir %_sysconfdir/dynamic/launchers/visor/
%config(noreplace) %_sysconfdir/dynamic/launchers/visor/kpilot.desktop
%_kde3_bindir/kpalmdoc
%_kde3_bindir/kpilot
%_kde3_bindir/kpilotDaemon
%_kde3_iconsdir/*/*/*/kpalmdoc*
%_kde3_iconsdir/*/*/*/kpilot*
%_kde3_libdir/kde3/kcm_kpilot.*
%_kde3_libdir/kde3/conduit_*
%_kde3_libdir/kde3/kfile_palm.*
%_kde3_datadir/services/kfile_palm.desktop
%_kde3_datadir/services/kpilot_config.desktop
%_kde3_datadir/services/*conduit.desktop
%_kde3_datadir/services/kontact/kpilotplugin.desktop
%_kde3_appsdir/kconf_update/kpilot.upd
%_kde3_datadir/applications/kde/kpalmdoc.desktop
%_kde3_appsdir/kconf_update/kpalmdoc.upd
%dir %_kde3_appsdir/kpilot
%_kde3_appsdir/kpilot/*
%_kde3_datadir/servicetypes/*conduit.desktop
%doc %_kde3_docdir/HTML/en/kpilot
%_kde3_datadir/applications/kde/kpilotdaemon.desktop
%_kde3_datadir/applications/kde/kpilot.desktop

#----------------------------------------------------------------------

%package -n %lib_name-kpilot
Summary:    Librairy for kpilot program
Group:      Development/KDE and Qt
Obsoletes: %lib_name-kpilot-devel < 1:3.5.9
Provides:	%lib_name_orig-kpilot = %epoch:%version-%release
Requires:	%lib_name-common = %epoch:%version-%release

%description -n %lib_name-kpilot
Librairy for kpilot program

%files -n %lib_name-kpilot
%defattr(-,root,root)
%_kde3_libdir/libkpilot.so.*
%_kde3_libdir/libkpilot.la

#----------------------------------------------------------------------

%package kontact
Summary:   Kontact program
Group:     Graphical desktop/KDE
Provides:  kontact3
Provides:  kde3-kontact
Suggests:  kdepim-kmail = %epoch:%version-%release
Suggests:  kdepim-knotes = %epoch:%version-%release
Suggests:  kdepim-kaddressbook = %epoch:%version-%release
Suggests:  kdepim-knode = %epoch:%version-%release
Suggests:  kdepim-korganizer = %epoch:%version-%release
Suggests:  kdepim-akregator = %epoch:%version-%release
Requires:  %lib_name-kontact >= %epoch:%version-%release
Conflicts: kdeaddons <= 3.2.3-15mdk
Conflicts: kdepim-common <= 1:3.5.8-4mdv2008.1

%description kontact
KDE Kontact, an integrated personal information suite container application for
KDE.

%files kontact
%defattr(-,root,root)
%_kde3_bindir/kontact
%dir %_kde3_datadir/services/kontact/
%_kde3_datadir/services/kontact/*
%_kde3_datadir/services/kontactconfig.desktop
%_kde3_datadir/applications/kde/Kontact.desktop
%_kde3_datadir/applications/kde/kontactdcop.desktop
%dir %_kde3_appsdir/kontact/
%_kde3_appsdir/kontact/*
%_kde3_datadir/services/kcmkontactsummary.desktop
%dir %_kde3_appsdir/kontactsummary/
%_kde3_appsdir/kontactsummary/*
%_kde3_libdir/kde3/libkontact*
%_kde3_libdir/kde3/kcm_kontact*
%_kde3_datadir/servicetypes/kontactplugin.desktop
%_kde3_datadir/services/kcmkontactknt.desktop
%_kde3_iconsdir/*/*/*/kontact*
%doc %_kde3_docdir/HTML/en/kontact/*

%exclude %_kde3_datadir/services/kontact/akregatorplugin.desktop
%exclude %_kde3_datadir/services/kontact/akregatorplugin3.2.desktop
%exclude %_kde3_datadir/services/kontact/journalplugin.desktop
%exclude %_kde3_datadir/services/kontact/kaddressbookplugin.desktop
%exclude %_kde3_datadir/services/kontact/karmplugin.desktop
%exclude %_kde3_datadir/services/kontact/kmailplugin.desktop
%exclude %_kde3_datadir/services/kontact/knodeplugin.desktop
%exclude %_kde3_datadir/services/kontact/knotesplugin.desktop
%exclude %_kde3_datadir/services/kontact/korganizerplugin.desktop
%exclude %_kde3_datadir/services/kontact/newstickerplugin.desktop
%exclude %_kde3_datadir/services/kontact/todoplugin.desktop
%exclude %_kde3_datadir/services/kontact/kpilotplugin.desktop

#----------------------------------------------------------------------

%package -n %lib_name-kontact
Summary:    Librairy for kontact program
Group:      Development/KDE and Qt
Obsoletes: %lib_name-kontact-devel < 1:3.5.9
Provides:	%lib_name_orig-kontact = %epoch:%version-%release
Conflicts:	%lib_name_akregator <= 1.0.2

%description -n %lib_name-kontact
Librairy for kontact program

%files -n %lib_name-kontact
%defattr(-,root,root)
%_kde3_libdir/libkontact.la
%_kde3_libdir/libkontact.so.*
%_kde3_libdir/libkpinterfaces.so.*
%_kde3_libdir/libkpinterfaces.la

#----------------------------------------------------------------------

%prep
%setup -q  -n %oname-%version
%patch1 -p1 -b .fix_dimap_speed
%patch2 -p1 -b .fix_use_point_kmail
%patch3 -p1 -b .disable_knode_first_start
%patch4 -p0 -b .fix_add_resource_to_kaddressbook
%patch5 -p1 -b .fix_kalarm_call_twice_dialog
%patch7 -p1 -b .korganizer_use_sys_timezone
%patch9 -p1 -b .hide_help
%patch11 -p0 -b .knode_sideband
#patch12 -p1 -b .kitchensync_synce
%patch13 -p1 -b .kitchensync_barry
%patch14 -p1 -b .fix_underlinking
%patch15 -p1 
%patch16 -p0

install -m 0644 %{SOURCE7} kitchensync/src/configguibarry.cpp
install -m 0644 %{SOURCE8} kitchensync/src/configguibarry.h

%build
export QTDIR=%qt3dir
export KDEDIR=%_kde3_prefix

# Post patches need regenerate build
make -f Makefile.cvs

%configure_kde3 \
	--enable-newdistrlists \
%if %use_enable_indexlib    
	--enable-indexlib \
%endif
	--enable-pie

%make
%if %compile_apidox
make apidox
%endif



%install
rm -fr %buildroot
export PATH=%_kde3_bindir:$PATH

make install DESTDIR=%buildroot

%define launchers %_sysconfdir/dynamic/launchers/visor
mkdir -p %buildroot%launchers
cat > %buildroot%launchers/kpilot.desktop << EOF
[Desktop Entry]
Name=Kpilot \$devicename
Comment=PalmPilot Tool
Exec=%_kde3_bindir/kpilot
Terminal=false
Icon=kpilot
Type=Application
EOF

install -m 0755 %SOURCE1 %buildroot/%_kde3_bindir/kontact-addressbook.sh
install -m 0755 %SOURCE2 %buildroot/%_kde3_bindir/kontact-knotes.sh
install -m 0755 %SOURCE3 %buildroot/%_kde3_bindir/kontact-kmail.sh
install -m 0755 %SOURCE4 %buildroot/%_kde3_bindir/kontact-korganizer.sh
install -m 0755 %SOURCE5 %buildroot/%_kde3_bindir/kontact-knode.sh
install -m 0755 %SOURCE6 %buildroot/%_kde3_bindir/kontact-akregator.sh

install -d -m 0755 %buildroot/%_sysconfdir/xdg/menus/

%if %compile_apidox
make install-apidox DESTDIR=%buildroot/
%endif

%multiarch_binaries %buildroot/%_kde3_bindir/indexlib-config

%clean
rm -fr %buildroot



%changelog
* Wed May 13 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.10-3.2mdv2009.1
+ Revision: 375532
- More conflicts to ease upgrade more
- Add missing provides

* Thu Mar 26 2009 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.10-3mdv2009.1
+ Revision: 361403
- Patching kmail to right use inotify headers
- Bump to rebuild against cooker

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - fix typo
    - Convert to new package name
    - Rename to kde3

* Tue Aug 26 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.10-1mdv2009.0
+ Revision: 276426
- Update for probably the last upstream kdepim from kde3

* Fri Jul 04 2008 Danilo Cesar Lemes de Paula <danilo@mandriva.com> 1:3.5.9-16mdv2009.0
+ Revision: 231847
- Fixing Kdepim to start only with KDE

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 10 2008 Adam Williamson <awilliamson@mandriva.org> 1:3.5.9-15mdv2009.0
+ Revision: 217318
- update handle-synce.patch to use blank configurator for old synce plugin:
  none of the configuration options work

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Jun 07 2008 Anssi Hannula <anssi@mandriva.org> 1:3.5.9-14mdv2009.0
+ Revision: 216651
- fix underlinking issues (fix-underlinking.patch)

  + Adam Williamson <awilliamson@mandriva.org>
    - update kitchensync-handle-synce.patch with better descriptions for the two synce plugins

  + Funda Wang <fundawang@mandriva.org>
    - BR tcl-devel
    - rebuild for new qt3 libdir

* Mon May 19 2008 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 1:3.5.9-11mdv2009.0
+ Revision: 208984
- Use versioned obsoletes

* Sun May 04 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.9-10mdv2009.0
+ Revision: 201063
- Moving for new path /opt/kde3
- Added all patches from branch using new "inpatch" log info

  + Adam Williamson <awilliamson@mandriva.org>
    - update copyright in configguibarry.cpp

* Wed Mar 19 2008 Adam Williamson <awilliamson@mandriva.org> 1:3.5.9-9mdv2008.1
+ Revision: 188758
- add configguibarry.cpp and configguibarry.h and update kitchensync-barry.patch: add a KitchenSync GUI configuration handler for barry-opensync (thanks to Helio Castro and Eduardo Habkost for writing most of the code)
- add kitchensync-barry.patch: recognize the Barry plugin (kitchensync)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Use a better icon ( tks FACORAT Fabrice )
    - Add an icon for Kandy

* Fri Mar 14 2008 Adam Williamson <awilliamson@mandriva.org> 1:3.5.9-8mdv2008.1
+ Revision: 187737
- add kitchensync-handle-synce.patch: makes kitchensync handle synce's opensync plugin correctly (give it a name, use an icon, recognize it needs no configuration)
-This line, and following ones, will be ignored--
  file SPECS/kdepim.spec modified
  file SOURCES/kdepim-3.5.9-kitchensync-handle-synce.patch added

* Thu Mar 13 2008 Adam Williamson <awilliamson@mandriva.org> 1:3.5.9-7mdv2008.1
+ Revision: 187329
- drop the external source and spec handling for kitchensync opensync-0.3 branch as we're back on opensync 0.2 now

* Fri Mar 07 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.9-6mdv2008.1
+ Revision: 181270
- Commit 780164 on branch upstream KDE is creating corrupted attaches. Removing broken patch for now...

* Tue Mar 04 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.9-5mdv2008.1
+ Revision: 178492
- Multiple enterprose branch fixes merged back on stable branch

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - [BUGFIX] Allow Knode to be on the sidebar (Bug #31071)

* Mon Feb 18 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.9-4mdv2008.1
+ Revision: 171216
- Proper string test with isEmpty
- Body can be 0 in imap folder
- Avoid crash on imap folder parse
- Integrate kmail-avoid-crash-on-startup.diff patch from the openSUSE RPM

* Sun Feb 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.9-3mdv2008.1
+ Revision: 169528
- Fix patch 10
- Make desktop file patch back again

* Fri Feb 15 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.9-2mdv2008.1
+ Revision: 168834
- knodecommon now have their proper library/module separated. This change should fix some crying

* Thu Feb 14 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.9-1mdv2008.1
+ Revision: 168659
- Get away from branches. Last KDE 3 arriving !!
- Removed post-3.5.8 patches intregrated
- We're back to standard kdepim tarball, as enterprise is merged.
- Update kitchensync branch. ksync gone away

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized
    - fix description-line-too-long
    - fix 'error: for key "Icon" in group "Desktop Entry" is an icon name with an
      extension, but there should be no extension as described in the Icon Theme
      Specification if the value is not an absolute path'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 26 2007 Funda Wang <fundawang@mandriva.org> 1:3.5.8-6mdv2008.1
+ Revision: 137852
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix menus (do not show them on Office section)

* Thu Nov 29 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.8-5mdv2008.1
+ Revision: 113920
- ksync comes back in enterprise branch
- scalix added
- Conflicts added for a strange dp in kdepim-common and kdepim-kontact
- Introducing enterprise branch
- Removing useless switches for kitchensync
- Fixing requires, otherwise would not compile on 2008.0. Now we're requiring only opensync >= 0.34 and
  possible backport need bring new opensync as well

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix menu desktop files

* Sun Nov 04 2007 Funda Wang <fundawang@mandriva.org> 1:3.5.8-4mdv2008.1
+ Revision: 105785
- Rebuild against new libopensync

* Fri Nov 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.8-3mdv2008.1
+ Revision: 105285
- Fix Conflicts

* Fri Nov 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.8-2mdv2008.1
+ Revision: 105264
- Fix conflict

* Sun Oct 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.8-1mdv2008.1
+ Revision: 102754
- Fix File list. ( Bug #34209 )
- Removed upstream merged patches
  Rediffed patch0
- Kde 3.5.8
  Remove  upstream merged patches
  Comment patch that do not apply ( need to look deeply in them now )
  Start to allow to backport ( as opensyn 0.33 had been added as require ! )
- Removing Suggests on kontact package as this must be Requires

  + Funda Wang <fundawang@mandriva.org>
    - Update kitchensync opensync-0.3 branch

* Fri Oct 19 2007 Funda Wang <fundawang@mandriva.org> 1:3.5.7-18mdv2008.1
+ Revision: 100464
- Update duplicate function patch
- Propose dirty but working patch to solve duplicate function defination
- BR opensync >= 0.33 in fact
- remove useless patch, as our new branch of kitchensync already contains it
- add kitchensync-OpenSync0.30API tarball
- Rebuild against latest libopensync

* Tue Oct 16 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:3.5.7-17mdv2008.1
+ Revision: 99033
- Remove kdepim-post-3.5.7-sieve-tls patch, it breaks managing of sieve
  scripts (#34353).

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - [BUGFIX] Change Requires into Suggests (Bug #34209)

* Sun Sep 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-16mdv2008.0
+ Revision: 94041
- Fix menu entry for KMail and Kontact

* Mon Sep 10 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-15mdv2008.0
+ Revision: 84159
- Added enterprise branch relevant patches
- Fix for kcfg issues in wizard

* Mon Aug 20 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-13mdv2008.0
+ Revision: 67953
- Added all kdepim related patches frm kde branch. Mostly fix coming from corporate branch

* Wed Jul 25 2007 Adam Williamson <awilliamson@mandriva.org> 1:3.5.7-12mdv2008.0
+ Revision: 55142
- disable libmal buildrequires (mal conduit is disabled upstream)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - [BUGFIX] Fix Requires to ensuse good updates (bug #30341)

* Wed Jun 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:3.5.7-10mdv2008.0
+ Revision: 45226
- Add conflicts to the old kdepim-devel package (as it contains files that
  shouldn't be there)
- Remove some files that were wrongly listed in kdepim-devel

* Thu Jun 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:3.5.7-9mdv2008.0
+ Revision: 42341
- Do not show the "Help" button of the kmail wizard as there is no help on
  that (#28480)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - [BUGFIX] Add Patch 116: Fix kmail cpu usage ( bug #31125)
    - Fix OnlyShowIn=KDE;

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1:3.5.7-8mdv2008.0
+ Revision: 36179
- rebuild with correct optflags

* Tue Jun 05 2007 Funda Wang <fundawang@mandriva.org> 1:3.5.7-6mdv2008.0
+ Revision: 35718
- Rebuild for package moving

* Fri May 25 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-5mdv2008.0
+ Revision: 31126
- Created package kdepim-wizards and added conflicts for old file owner ones. This solve a messy
  dependency chain. korganizer and other kontact components can be installed alone
- Removed some invalid and unecessary explicit requires
- Removed explicit version on kdepim requires
- Moved kcfg files for devel package
- Removed some unecessary ldconfig entries

* Thu May 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-4mdv2008.0
+ Revision: 30903
- Fix File list (#29454)
- patch8: Fix Menu entries
- Add BuildRequires

* Fri May 18 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-3mdv2008.0
+ Revision: 28324
- Fixed conflicts with old global common devel package and new doc-devel
- Minor update in official tarball from kde.org
- 3.5.7 release

